"use strict";
const common_vendor = require("../../../common/vendor.js");
const WORKORDER_list_log_method = require("../method.js");
const WORKORDER_list_log_model = require("../model.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  _easycom_hs_tabs2();
}
const _easycom_hs_tabs = () => "../../../components/hs-tabs/hs-tabs.js";
if (!Math) {
  _easycom_hs_tabs();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "header",
  setup(__props) {
    const tabTypeList = [
      { label: "报修类", value: "Repair" },
      { label: "报事类", value: "Incident" }
    ];
    const tablist = [
      { label: "全部", value: "" },
      { label: "待处理", value: "Pending" },
      { label: "处理中", value: "Processing" },
      { label: "待支付", value: "PendingPayment" },
      { label: "待验收", value: "PendingAcceptance" },
      { label: "已完成", value: "Completed" },
      { label: "已关闭", value: "Closed" }
    ];
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o((_a = common_vendor.unref(WORKORDER_list_log_method.method)) == null ? void 0 : _a.handleChangeTabs),
        b: common_vendor.p({
          list: tabTypeList,
          current: (_c = (_b = common_vendor.unref(WORKORDER_list_log_model.useModel)) == null ? void 0 : _b.currentTabs) == null ? void 0 : _c.value
        }),
        c: common_vendor.f(tablist, (i, index, i0) => {
          var _a2, _b2, _c2;
          return {
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: `items_${index}`,
            c: common_vendor.n(`item_btn ${((_c2 = (_b2 = (_a2 = common_vendor.unref(WORKORDER_list_log_model.useModel)) == null ? void 0 : _a2.formData) == null ? void 0 : _b2.value) == null ? void 0 : _c2.status) === (i == null ? void 0 : i.value) ? "active_btn" : ""}`),
            d: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(WORKORDER_list_log_method.method)) == null ? void 0 : _a3.handleChangeStatus(i);
            }, `items_${index}`)
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ecc92f0d"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/WORKORDER/list_log/components/header.vue"]]);
wx.createComponent(Component);
